com.io7m.jregions.core.parameterized.areas

## Class PAreaYSplitI.Builder<S,T extends PAreaIType<S>>

- java.lang.Object
- - com.io7m.jregions.core.parameterized.areas.PAreaYSplitI.Builder<S,T>

- Enclosing class:
    PAreaYSplitI<S,T extends PAreaIType<S>>

      public static final class PAreaYSplitI.Builder<S,T extends PAreaIType<S>>
      extends Object

  Builds instances of type `PAreaYSplitI`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PAreaYSplitI<S,T>` | `build()` Builds a new `PAreaYSplitI`.
    `PAreaYSplitI.Builder<S,T>` | `from(PAreaYSplitIType<S,T> instance)` Fill a builder with attribute values from the provided `PAreaYSplitIType` instance.
    `PAreaYSplitI.Builder<S,T>` | `setLower(T lower)` Initializes the value for the `lower` attribute.
    `PAreaYSplitI.Builder<S,T>` | `setUpper(T upper)` Initializes the value for the `upper` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final PAreaYSplitI.Builder<S,T> from(PAreaYSplitIType<S,T> instance)

      Fill a builder with attribute values from the provided `PAreaYSplitIType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setLower

          public final PAreaYSplitI.Builder<S,T> setLower(T lower)

      Initializes the value for the `lower` attribute.
      Parameters:
        `lower` - The value for lower
      Returns:
        `this` builder for use in a chained invocation

    - #### setUpper

          public final PAreaYSplitI.Builder<S,T> setUpper(T upper)

      Initializes the value for the `upper` attribute.
      Parameters:
        `upper` - The value for upper
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public PAreaYSplitI<S,T> build()

      Builds a new `PAreaYSplitI`.
      Returns:
        An immutable instance of PAreaYSplitI
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com